kind: pipeline
type: docker
name: linux-amd64

platform:
  arch: amd64
  os: linux

steps:
- name: publish
  image: plugins/docker:18
  settings:
    auto_tag: true
    auto_tag_suffix: linux-amd64
    dockerfile: Dockerfile
    repo: imartyn/karaokardbot
    username:
      from_secret: docker_username
    password:
      from_secret: docker_username
    when:
      event:
      - push
      - tag
